Package com.ocient.jdbc.proto

## Class ClientWireProtocol.ExecutePlan

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.ocient.jdbc.proto.ClientWireProtocol.ExecutePlan

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ExecutePlanOrBuilder`, `Serializable`

Enclosing class:
  ClientWireProtocol

    public static final class ClientWireProtocol.ExecutePlan
    extends com.google.protobuf.GeneratedMessageV3
    implements ClientWireProtocol.ExecutePlanOrBuilder

Protobuf type `xg.cmdcomp.ExecutePlan`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ClientWireProtocol.ExecutePlan.Builder` Protobuf type `xg.cmdcomp.ExecutePlan`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `FORCE_FIELD_NUMBER`
`static int` `SQL_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`static ClientWireProtocol.ExecutePlan` `getDefaultInstance()`
`ClientWireProtocol.ExecutePlan` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`boolean` `getForce()` `bool force = 2;`
`com.google.protobuf.Parser<ClientWireProtocol.ExecutePlan>` `getParserForType()`
`int` `getSerializedSize()`
`String` `getSql()` sql is actually the plan name but this allows us to easily use reflection in Java
`com.google.protobuf.ByteString` `getSqlBytes()` sql is actually the plan name but this allows us to easily use reflection in Java
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static ClientWireProtocol.ExecutePlan.Builder` `newBuilder()`
`static ClientWireProtocol.ExecutePlan.Builder` `newBuilder​(ClientWireProtocol.ExecutePlan prototype)`
`ClientWireProtocol.ExecutePlan.Builder` `newBuilderForType()`
`protected ClientWireProtocol.ExecutePlan.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static ClientWireProtocol.ExecutePlan` `parseDelimitedFrom​(InputStream input)`
`static ClientWireProtocol.ExecutePlan` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ExecutePlan` `parseFrom​(byte[] data)`
`static ClientWireProtocol.ExecutePlan` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ExecutePlan` `parseFrom​(com.google.protobuf.ByteString data)`
`static ClientWireProtocol.ExecutePlan` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ExecutePlan` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static ClientWireProtocol.ExecutePlan` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ExecutePlan` `parseFrom​(InputStream input)`
`static ClientWireProtocol.ExecutePlan` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ExecutePlan` `parseFrom​(ByteBuffer data)`
`static ClientWireProtocol.ExecutePlan` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<ClientWireProtocol.ExecutePlan>` `parser()`
`ClientWireProtocol.ExecutePlan.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### SQL_FIELD_NUMBER

    public static final int SQL_FIELD_NUMBER

See Also:
  Constant Field Values

#### FORCE_FIELD_NUMBER

    public static final int FORCE_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getSql

    public String getSql()

    sql is actually the plan name but this allows us to easily use reflection in Java

`string sql = 1;`

Specified by:
  `getSql` in interface `ClientWireProtocol.ExecutePlanOrBuilder`
Returns:
  The sql.

#### getSqlBytes

    public com.google.protobuf.ByteString getSqlBytes()

    sql is actually the plan name but this allows us to easily use reflection in Java

`string sql = 1;`

Specified by:
  `getSqlBytes` in interface `ClientWireProtocol.ExecutePlanOrBuilder`
Returns:
  The bytes for sql.

#### getForce

    public boolean getForce()

`bool force = 2;`

Specified by:
  `getForce` in interface `ClientWireProtocol.ExecutePlanOrBuilder`
Returns:
  The force.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static ClientWireProtocol.ExecutePlan parseFrom​(ByteBuffer data)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ClientWireProtocol.ExecutePlan parseFrom​(ByteBuffer data,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ClientWireProtocol.ExecutePlan parseFrom​(com.google.protobuf.ByteString data)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ClientWireProtocol.ExecutePlan parseFrom​(com.google.protobuf.ByteString data,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ClientWireProtocol.ExecutePlan parseFrom​(byte[] data)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ClientWireProtocol.ExecutePlan parseFrom​(byte[] data,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ClientWireProtocol.ExecutePlan parseFrom​(InputStream input)
                                                    throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ClientWireProtocol.ExecutePlan parseFrom​(InputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static ClientWireProtocol.ExecutePlan parseDelimitedFrom​(InputStream input)
                                                             throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static ClientWireProtocol.ExecutePlan parseDelimitedFrom​(InputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ClientWireProtocol.ExecutePlan parseFrom​(com.google.protobuf.CodedInputStream input)
                                                    throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ClientWireProtocol.ExecutePlan parseFrom​(com.google.protobuf.CodedInputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public ClientWireProtocol.ExecutePlan.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static ClientWireProtocol.ExecutePlan.Builder newBuilder()

#### newBuilder

    public static ClientWireProtocol.ExecutePlan.Builder newBuilder​(ClientWireProtocol.ExecutePlan prototype)

#### toBuilder

    public ClientWireProtocol.ExecutePlan.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected ClientWireProtocol.ExecutePlan.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static ClientWireProtocol.ExecutePlan getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<ClientWireProtocol.ExecutePlan> parser()

#### getParserForType

    public com.google.protobuf.Parser<ClientWireProtocol.ExecutePlan> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public ClientWireProtocol.ExecutePlan getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`